# Angular - Single Page Application - "ng" sounds like "Angular"

## Documentation

- [Angular Overview](./overview.md)
- [Angular Lifecycle](https://nalawadeshivani98.medium.com/angular-lifecycle-d34c57bf147)
- [Angular Software](./software.md)

## Demos

- [Google Maps](./demos/maps-angular-cv64.mp4)
     - [Time / Latitude - ISO Format](../misc/timeLatitude/timeLatitude.md)

## Development Server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Code Scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory. Use the `--prod` flag for a production build.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via [Protractor](http://www.protractortest.org/).
